package com.ruoyi.project.affair.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.affair.mapper.TIntercomMapper;
import com.ruoyi.project.affair.domain.TIntercom;
import com.ruoyi.project.affair.service.ITIntercomService;

/**
 * 对讲机管理Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-02
 */
@Service
public class TIntercomServiceImpl implements ITIntercomService
{
    @Autowired
    private TIntercomMapper tIntercomMapper;

    /**
     * 查询对讲机管理
     *
     * @param id 对讲机管理ID
     * @return 对讲机管理
     */
    @Override
    public TIntercom selectTIntercomById(Long id)
    {
        return tIntercomMapper.selectTIntercomById(id);
    }

    /**
     * 查询对讲机管理列表
     *
     * @param tIntercom 对讲机管理
     * @return 对讲机管理
     */
    @Override
    public List<TIntercom> selectTIntercomList(TIntercom tIntercom)
    {
        return tIntercomMapper.selectTIntercomList(tIntercom);
    }

    /**
     * 新增对讲机管理
     *
     * @param tIntercom 对讲机管理
     * @return 结果
     */
    @Override
    public int insertTIntercom(TIntercom tIntercom)
    {
        return tIntercomMapper.insertTIntercom(tIntercom);
    }

    /**
     * 修改对讲机管理
     *
     * @param tIntercom 对讲机管理
     * @return 结果
     */
    @Override
    public int updateTIntercom(TIntercom tIntercom)
    {
        return tIntercomMapper.updateTIntercom(tIntercom);
    }

    /**
     * 批量删除对讲机管理
     *
     * @param ids 需要删除的对讲机管理ID
     * @return 结果
     */
    @Override
    public int deleteTIntercomByIds(Long[] ids)
    {
        return tIntercomMapper.deleteTIntercomByIds(ids);
    }

    /**
     * 删除对讲机管理信息
     *
     * @param id 对讲机管理ID
     * @return 结果
     */
    @Override
    public int deleteTIntercomById(Long id)
    {
        return tIntercomMapper.deleteTIntercomById(id);
    }
}
